https://prefect.io logo
#prefect-server
Title
# prefect-server
a

Architha Rao

05/09/2022, 11:27 AM
Hi. We are using prefect 0.15.13 server version. The graphql (v2.1.1) throws the below error. It persists even after multiple restarts.
a

Anna Geller

05/09/2022, 11:28 AM
please move code blocks to the thread
a

Architha Rao

05/09/2022, 11:31 AM
graphql_1 | GraphQL request23 graphql_1 | 1 | mutation ($input: get_runs_in_queue_input!) { graphql_1 | 2 | get_runs_in_queue(input: $input) { graphql_1 | | ^ graphql_1 | 3 | flow_run_ids graphql_1 | INFO: 172.18.0.5:40092 - "POST /graphql/ HTTP/1.1" 200 OK graphql_1 | {"severity": "ERROR", "name": "prefect-server.HasuraClient", "message": "Encountered internal API exception: [Errno 111] Connection refused", "exc_info": "Traceback (most recent call last):\n File \"/prefect-server/src/prefect_server/utilities/exceptions.py\", line 87, in reraise_as_api_error\n yield\n File \"/prefect-server/src/prefect_server/utilities/graphql.py\", line 64, in execute\n timeout=30,\n File \"/usr/local/lib/python3.7/site-packages/httpx/_client.py\", line 1385, in post\n timeout=timeout,\n File \"/usr/local/lib/python3.7/site-packages/httpx/_client.py\", line 1148, in request\n request, auth=auth, allow_redirects=allow_redirects, timeout=timeout,\n File \"/usr/local/lib/python3.7/site-packages/httpx/_client.py\", line 1169, in send\n request, auth=auth, timeout=timeout, allow_redirects=allow_redirects,\n File \"/usr/local/lib/python3.7/site-packages/httpx/_client.py\", line 1196, in send_handling_redirects\n request, auth=auth, timeout=timeout, history=history\n File \"/usr/local/lib/python3.7/site-packages/httpx/_client.py\", line 1232, in send_handling_auth\n response = await self.send_single_request(request, timeout)\n File \"/usr/local/lib/python3.7/site-packages/httpx/_client.py\", line 1269, in send_single_request\n timeout=timeout.as_dict(),\n File \"/usr/local/lib/python3.7/site-packages/httpcore/_async/connection_pool.py\", line 153, in request\n method, url, headers=headers, stream=stream, timeout=timeout\n File \"/usr/local/lib/python3.7/site-packages/httpcore/_async/connection.py\", line 65, in request\n self.socket = await self._open_socket(timeout)\n File \"/usr/local/lib/python3.7/site-packages/httpcore/_async/connection.py\", line 86, in _open_socket\n hostname, port, ssl_context, timeout\n File \"/usr/local/lib/python3.7/site-packages/httpcore/_backends/auto.py\", line 38, in open_tcp_stream\n return await self.backend.open_tcp_stream(hostname, port, ssl_context, timeout)\n File \"/usr/local/lib/python3.7/site-packages/httpcore/_backends/asyncio.py\", line 234, in open_tcp_stream\n stream_reader=stream_reader, stream_writer=stream_writer\n File \"/usr/local/lib/python3.7/contextlib.py\", line 130, in __exit__\n self.gen.throw(type, value, traceback)\n File \"/usr/local/lib/python3.7/site-packages/httpcore/_exceptions.py\", line 12, in map_exceptions\n raise to_exc(exc) from None\nhttpcore._exceptions.ConnectError: [Errno 111] Connection refused"} graphql_1 | Unable to complete operation. An internal API error occurred. graphql_1 | graphql_1 | GraphQL request23 graphql_1 | 1 | mutation ($input: get_runs_in_queue_input!) { graphql_1 | 2 | get_runs_in_queue(input: $input) { graphql_1 | | ^ graphql_1 | 3 | flow_run_ids graphql_1 | Traceback (most recent call last): graphql_1 | File "/prefect-server/src/prefect_server/utilities/exceptions.py", line 87, in reraise_as_api_error graphql_1 | yield graphql_1 | File "/prefect-server/src/prefect_server/utilities/graphql.py", line 64, in execute graphql_1 | timeout=30, graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpx/_client.py", line 1385, in post graphql_1 | timeout=timeout, graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpx/_client.py", line 1148, in request graphql_1 | request, auth=auth, allow_redirects=allow_redirects, timeout=timeout, graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpx/_client.py", line 1169, in send graphql_1 | request, auth=auth, timeout=timeout, allow_redirects=allow_redirects, graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpx/_client.py", line 1196, in send_handling_redirects graphql_1 | request, auth=auth, timeout=timeout, history=history graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpx/_client.py", line 1232, in send_handling_auth graphql_1 | response = await self.send_single_request(request, timeout) graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpx/_client.py", line 1269, in send_single_request graphql_1 | timeout=timeout.as_dict(), graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpcore/_async/connection_pool.py", line 153, in request graphql_1 | method, url, headers=headers, stream=stream, timeout=timeout graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpcore/_async/connection.py", line 65, in request graphql_1 | self.socket = await self._open_socket(timeout) graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpcore/_async/connection.py", line 86, in _open_socket graphql_1 | hostname, port, ssl_context, timeout graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpcore/_backends/auto.py", line 38, in open_tcp_stream graphql_1 | return await self.backend.open_tcp_stream(hostname, port, ssl_context, timeout) graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpcore/_backends/asyncio.py", line 234, in open_tcp_stream graphql_1 | stream_reader=stream_reader, stream_writer=stream_writer graphql_1 | File "/usr/local/lib/python3.7/contextlib.py", line 130, in exit graphql_1 | self.gen.throw(type, value, traceback) graphql_1 | File "/usr/local/lib/python3.7/site-packages/httpcore/_exceptions.py", line 12, in map_exceptions graphql_1 | raise to_exc(exc) from None graphql_1 | httpcore._exceptions.ConnectError: [Errno 111] Connection refused graphql_1 | graphql_1 | The above exception was the direct cause of the following exception: graphql_1 | graphql_1 | Traceback (most recent call last): graphql_1 | File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 668, in await_completed graphql_1 | return await completed graphql_1 | File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 653, in await_result graphql_1 | return_type, field_nodes, info, path, await result graphql_1 | File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 727, in complete_value graphql_1 | raise result graphql_1 | File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 626, in await_result
a

Anna Geller

05/09/2022, 11:32 AM
you may need this environment variable:
Copy code
export HASURA_GRAPHQL_V1_BOOLEAN_NULL_COLLAPSE=true
more on that here
k

Kevin Kho

05/09/2022, 1:58 PM
What version were you on before? You might need the
--expose
flag? Are you using the
prefect server start
?
15 Views